Improve Special:ListFiles/username (Special:MyUploads) with display options and filtering options
Closed, DeclinedPublic

Description

Author: rd232

Description:
As discussed at https://secure.wikimedia.org/wikipedia/commons/w/index.php?title=Commons:Village_pump/Proposals&oldid=58356153#Improving_Special:MyUploads, various enhancements are requested.

  1. option to switch between list view (as at present) and gallery view (like [[Special:NewFiles]])
  2. make embeddable (like [[Special:NewFiles]])

These two requests overlap with Bug 28704, which effectively asks for the same functionality (per-user gallery) attached to Special:NewFiles.

  1. List view (status quo) should use normal gallery-sized thumbnails; right now width is fixed, and portrait-oriented images overwhelm the screen
  2. Filtering options (checkboxes): (1) "I'm the first uploader" (i.e. files where the user uploaded the first revision, regardless of later uploads) (2) "I'm the latest uploader" (i.e. files where the user uploaded the latest revision, regardless of prior uploads) (3) Re-uploads (i.e. files where the user was not the initial uploader) (4) Reversions (i.e. files where all upload log entries by the user have the summary "Reverted to version as of...")
  3. Display options: Camera make and model from EXIF if available; link to file log and history; file dimensions; templates; categories.

Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz30522.
bzimport created this task.Via LegacyAug 23 2011, 12:16 AM
bzimport added a comment.Via ConduitAug 23 2011, 12:19 AM

rd232 wrote:

Sorry, that's Bug 28074, not 28704.

Krinkle added a comment.Via ConduitAug 28 2011, 10:43 PM

MediaWiki core development will unlikely implement all of this as a single change since some are simple, others easy. Some might not be possible due to technical limitations (such as "I'm latest uploader"). Also, wether all of these changes are useful for core (and as such, all wikis including non-Commons and non-Wikimedia wikis), is something to be considered.

I'm opening up separate requests for these changes and marking this one as WONTFIX.

See:

  • (bug 28074) Add support for transclusion to Special:NewFiles/<username>
  • (bug 30604) Implement a gallery view for SpecialListFiles
  • (bug 30605) Thumbnails on SpecialListFiles should not ignore height
  • (bug 30606) Show summary of meta-data on SpecialListFiles
  • (bug 30607) Add checkbox-filter to SpecialListFiles for showing "original uploads"

The following don't have their own tickets yet as I'm not sure these are useful in core

  • Add checkbox-filter to SpecialListFiles for showing "re-uploads"
  • Add checkbox-filter to SpecialListFiles for showing "reverts"
  • Add checkbox-filter to SpecialListFiles for showing "top contributions"
Gilles added a project: Multimedia.Via WebDec 4 2014, 9:34 AM
Gilles triaged this task as "Unbreak Now!" priority.Via WebDec 4 2014, 10:10 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Needs Triage".Via ConduitDec 4 2014, 11:22 AM

Add Comment